import sys
from os import environ
from os import getcwd
import string

sys.path.append(environ["PYTHON_MODULE_PATH"])
sys.path.append(getcwd()+"/examples_PythonTutorial")

import CompuCellSetup

sim,simthread = CompuCellSetup.getCoreSimulationObjects()

#Create extra player fields here or add attributes

CompuCellSetup.initializeSimulationObjects(sim,simthread)

#Add Python steppables here
steppableRegistry=CompuCellSetup.getSteppableRegistry()

from cellsort_2D_steppables import Exercise7a
exercise7a=Exercise7a(_simulator=sim,_frequency=100)
steppableRegistry.registerSteppable(exercise7a)



CompuCellSetup.mainLoop(sim,simthread,steppableRegistry)

