import sys
from os import environ
from os import getcwd
import string

sys.path.append(environ["PYTHON_MODULE_PATH"])
sys.path.append(getcwd()+"/examples_PythonTutorial")

import CompuCellSetup

sim,simthread = CompuCellSetup.getCoreSimulationObjects()

#Create extra player fields here or add attributes

CompuCellSetup.initializeSimulationObjects(sim,simthread)

#Add Python steppables here
steppableRegistry=CompuCellSetup.getSteppableRegistry()

from cellsort_2D_steppables import Exercise6b
exercise6b=Exercise6b(_simulator=sim,_frequency=10)
exercise6b.setCuttofCoordinate(20)
steppableRegistry.registerSteppable(exercise6b)


CompuCellSetup.mainLoop(sim,simthread,steppableRegistry)

