import sys
from os import environ
from os import getcwd
import string

sys.path.append(environ["PYTHON_MODULE_PATH"])
sys.path.append(getcwd()+"/examples_PythonTutorial")
   
import CompuCellSetup

sim,simthread = CompuCellSetup.getCoreSimulationObjects()

#Create extra player fields here or add attributes
pyAttributeAdder,dictAdder=CompuCellSetup.attachListToCells(sim)

CompuCellSetup.initializeSimulationObjects(sim,simthread)

#Add Python steppables here
steppableRegistry=CompuCellSetup.getSteppableRegistry()

#here we will add ExtraAttributeCellsort steppable
from cellsort_2D_steppables import ExtraAttributeCellsortExercise2
extraAttributeCellsortExercise2=ExtraAttributeCellsortExercise2(_simulator=sim,_frequency=10)
steppableRegistry.registerSteppable(extraAttributeCellsortExercise2)



CompuCellSetup.mainLoop(sim,simthread,steppableRegistry)


