import sys
from os import environ
from os import getcwd
import string

sys.path.append(environ["PYTHON_MODULE_PATH"])
sys.path.append(getcwd()+"/examples_PythonTutorial")

import CompuCellSetup

sim,simthread = CompuCellSetup.getCoreSimulationObjects()

#Create extra player fields here or add attributes
pyAttributeAdder,dictAdder=CompuCellSetup.attachDictionaryToCells(sim)

CompuCellSetup.initializeSimulationObjects(sim,simthread)

#Add Python steppables here
steppableRegistry=CompuCellSetup.getSteppableRegistry()

#here we will add ExtraAttributeCellsort steppable
from cellsort_2D_steppables import ExtraAttributeCellsortExercise3
extraAttributeCellsortExercise3=ExtraAttributeCellsortExercise3(_simulator=sim,_frequency=10)
steppableRegistry.registerSteppable(extraAttributeCellsortExercise3)

CompuCellSetup.mainLoop(sim,simthread,steppableRegistry)


